using System;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace InchWest.HotkeyControl
{
  public class ScreenConfigFrm : Form
  {
    //Nothing special in the whole form except that the two buttons have DialogResult properties set
    //Also note that most UI elements are internal or public so that they can be accessed from ScreenShot class
    public ScreenConfigFrm()
    {
      InitializeComponent();
    }

    private void FolderBtn_Click(object sender, EventArgs e)
    {
      if (folderBrowserDialog1.ShowDialog() == DialogResult.OK)
        FolderTxt.Text = folderBrowserDialog1.SelectedPath;
    }

    private void FolderTxt_TextChanged(object sender, EventArgs e)
    {
      if (FolderTxt.Text != "")
        ImgFileR2.Checked = true;
    }

    private void ImgFileR1_CheckedChanged(object sender, EventArgs e)
    {
      if (ImgFileR2.Checked)
      {
        FolderTxt.Enabled = true;
        FolderL.Enabled = true;
        FolderBtn.Enabled = true;
      }
      else
      {
        FolderTxt.Enabled = false;
        FolderL.Enabled = false;
        FolderBtn.Enabled = false;
        FolderTxt.Text = "";
      }
    }

    private System.ComponentModel.IContainer components = null;

    protected override void Dispose(bool disposing)
    {
      if (disposing && (components != null))
      {
        components.Dispose();
      }
      base.Dispose(disposing);
    }

    private void InitializeComponent()
    {
      this.BtnCancel = new System.Windows.Forms.Button();
      this.BtnOk = new System.Windows.Forms.Button();
      this.PluginGroup = new System.Windows.Forms.GroupBox();
      this.FolderBtn = new System.Windows.Forms.Button();
      this.FolderTxt = new System.Windows.Forms.TextBox();
      this.FolderL = new System.Windows.Forms.Label();
      this.label4 = new System.Windows.Forms.Label();
      this.ImgTypeC = new System.Windows.Forms.ComboBox();
      this.ImgFileR2 = new System.Windows.Forms.RadioButton();
      this.ImgFileR1 = new System.Windows.Forms.RadioButton();
      this.HotkeyGroup = new System.Windows.Forms.GroupBox();
      this.CapR2 = new System.Windows.Forms.RadioButton();
      this.CapR1 = new System.Windows.Forms.RadioButton();
      this.folderBrowserDialog1 = new System.Windows.Forms.FolderBrowserDialog();
      this.DescriptionTxt = new System.Windows.Forms.TextBox();
      this.PluginGroup.SuspendLayout();
      this.HotkeyGroup.SuspendLayout();
      this.SuspendLayout();
      // 
      // BtnCancel
      // 
      this.BtnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
      this.BtnCancel.ForeColor = System.Drawing.SystemColors.ControlText;
      this.BtnCancel.Location = new System.Drawing.Point(289, 208);
      this.BtnCancel.Name = "BtnCancel";
      this.BtnCancel.Size = new System.Drawing.Size(48, 20);
      this.BtnCancel.TabIndex = 1;
      this.BtnCancel.Text = "Cancel";
      // 
      // BtnOk
      // 
      this.BtnOk.DialogResult = System.Windows.Forms.DialogResult.OK;
      this.BtnOk.ForeColor = System.Drawing.SystemColors.ControlText;
      this.BtnOk.Location = new System.Drawing.Point(235, 208);
      this.BtnOk.Name = "BtnOk";
      this.BtnOk.Size = new System.Drawing.Size(48, 20);
      this.BtnOk.TabIndex = 0;
      this.BtnOk.Text = "OK";
      // 
      // PluginGroup
      // 
      this.PluginGroup.Controls.Add(this.FolderBtn);
      this.PluginGroup.Controls.Add(this.FolderTxt);
      this.PluginGroup.Controls.Add(this.FolderL);
      this.PluginGroup.Controls.Add(this.label4);
      this.PluginGroup.Controls.Add(this.ImgTypeC);
      this.PluginGroup.Controls.Add(this.ImgFileR2);
      this.PluginGroup.Controls.Add(this.ImgFileR1);
      this.PluginGroup.Location = new System.Drawing.Point(12, 71);
      this.PluginGroup.Name = "PluginGroup";
      this.PluginGroup.Size = new System.Drawing.Size(306, 122);
      this.PluginGroup.TabIndex = 3;
      this.PluginGroup.TabStop = false;
      this.PluginGroup.Text = "Common plugin settings - Saving Preferences";
      // 
      // FolderBtn
      // 
      this.FolderBtn.Enabled = false;
      this.FolderBtn.ForeColor = System.Drawing.SystemColors.ControlText;
      this.FolderBtn.Location = new System.Drawing.Point(242, 91);
      this.FolderBtn.Name = "FolderBtn";
      this.FolderBtn.Size = new System.Drawing.Size(58, 20);
      this.FolderBtn.TabIndex = 5;
      this.FolderBtn.Text = "Browse";
      this.FolderBtn.Click += new System.EventHandler(this.FolderBtn_Click);
      // 
      // FolderTxt
      // 
      this.FolderTxt.Enabled = false;
      this.FolderTxt.Location = new System.Drawing.Point(68, 91);
      this.FolderTxt.Name = "FolderTxt";
      this.FolderTxt.Size = new System.Drawing.Size(172, 20);
      this.FolderTxt.TabIndex = 4;
      this.FolderTxt.TextChanged += new System.EventHandler(this.FolderTxt_TextChanged);
      // 
      // FolderL
      // 
      this.FolderL.AutoSize = true;
      this.FolderL.Enabled = false;
      this.FolderL.ForeColor = System.Drawing.SystemColors.ControlText;
      this.FolderL.Location = new System.Drawing.Point(27, 94);
      this.FolderL.Name = "FolderL";
      this.FolderL.Size = new System.Drawing.Size(35, 13);
      this.FolderL.TabIndex = 23;
      this.FolderL.Text = "Folder:";
      // 
      // label4
      // 
      this.label4.AutoSize = true;
      this.label4.ForeColor = System.Drawing.SystemColors.ControlText;
      this.label4.Location = new System.Drawing.Point(18, 26);
      this.label4.Name = "label4";
      this.label4.Size = new System.Drawing.Size(112, 13);
      this.label4.TabIndex = 22;
      this.label4.Text = "Image type and quality:";
      // 
      // ImgTypeC
      // 
      this.ImgTypeC.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
      this.ImgTypeC.FormattingEnabled = true;
      this.ImgTypeC.Items.AddRange(new object[] {
            "Jpeg (High)",
            "Jpeg (Medium)",
            "Jpeg (Low)",
            "Bitmap"});
      this.ImgTypeC.Location = new System.Drawing.Point(147, 23);
      this.ImgTypeC.Name = "ImgTypeC";
      this.ImgTypeC.Size = new System.Drawing.Size(133, 21);
      this.ImgTypeC.TabIndex = 1;
      // 
      // ImgFileR2
      // 
      this.ImgFileR2.ForeColor = System.Drawing.SystemColors.ControlText;
      this.ImgFileR2.Location = new System.Drawing.Point(19, 73);
      this.ImgFileR2.Name = "ImgFileR2";
      this.ImgFileR2.Size = new System.Drawing.Size(210, 18);
      this.ImgFileR2.TabIndex = 3;
      this.ImgFileR2.TabStop = false;
      this.ImgFileR2.Text = "Autoname and save to this folder";
      // 
      // ImgFileR1
      // 
      this.ImgFileR1.Checked = true;
      this.ImgFileR1.ForeColor = System.Drawing.SystemColors.ControlText;
      this.ImgFileR1.Location = new System.Drawing.Point(19, 50);
      this.ImgFileR1.Name = "ImgFileR1";
      this.ImgFileR1.Size = new System.Drawing.Size(211, 17);
      this.ImgFileR1.TabIndex = 2;
      this.ImgFileR1.Text = "Prompt me for filename";
      this.ImgFileR1.CheckedChanged += new System.EventHandler(this.ImgFileR1_CheckedChanged);
      // 
      // HotkeyGroup
      // 
      this.HotkeyGroup.Controls.Add(this.CapR2);
      this.HotkeyGroup.Controls.Add(this.CapR1);
      this.HotkeyGroup.Location = new System.Drawing.Point(12, 12);
      this.HotkeyGroup.Name = "HotkeyGroup";
      this.HotkeyGroup.Size = new System.Drawing.Size(306, 46);
      this.HotkeyGroup.TabIndex = 2;
      this.HotkeyGroup.TabStop = false;
      this.HotkeyGroup.Text = "Current hotkey settings";
      // 
      // CapR2
      // 
      this.CapR2.AutoSize = true;
      this.CapR2.Checked = true;
      this.CapR2.Location = new System.Drawing.Point(148, 15);
      this.CapR2.Name = "CapR2";
      this.CapR2.Size = new System.Drawing.Size(146, 17);
      this.CapR2.TabIndex = 2;
      this.CapR2.Text = "Capture Complete desktop";
      // 
      // CapR1
      // 
      this.CapR1.AutoSize = true;
      this.CapR1.Location = new System.Drawing.Point(11, 15);
      this.CapR1.Name = "CapR1";
      this.CapR1.Size = new System.Drawing.Size(129, 17);
      this.CapR1.TabIndex = 1;
      this.CapR1.Text = "Capture active window";
      // 
      // folderBrowserDialog1
      // 
      this.folderBrowserDialog1.SelectedPath = "folderBrowserDialog1";
      // 
      // DescriptionTxt
      // 
      this.DescriptionTxt.Location = new System.Drawing.Point(324, 13);
      this.DescriptionTxt.Multiline = true;
      this.DescriptionTxt.Name = "DescriptionTxt";
      this.DescriptionTxt.ReadOnly = true;
      this.DescriptionTxt.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
      this.DescriptionTxt.Size = new System.Drawing.Size(223, 180);
      this.DescriptionTxt.TabIndex = 4;
      this.DescriptionTxt.Text = "Description:\r\nScreenshot plugin is designed to capture the desktop or active wind" +
          "ow and save it to a file.\r\n\r\nCopyright (c) 2001-2005 InchWest";
      // 
      // ScreenConfigFrm
      // 
      this.ClientSize = new System.Drawing.Size(553, 238);
      this.Controls.Add(this.DescriptionTxt);
      this.Controls.Add(this.PluginGroup);
      this.Controls.Add(this.HotkeyGroup);
      this.Controls.Add(this.BtnCancel);
      this.Controls.Add(this.BtnOk);
      this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedToolWindow;
      this.Name = "ScreenConfigFrm";
      this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
      this.Text = "ScreenShot plugin 1.0";
      this.PluginGroup.ResumeLayout(false);
      this.PluginGroup.PerformLayout();
      this.HotkeyGroup.ResumeLayout(false);
      this.HotkeyGroup.PerformLayout();
      this.ResumeLayout(false);
      this.PerformLayout();

    }

    private System.Windows.Forms.Button BtnCancel;
    private System.Windows.Forms.Button BtnOk;
    private System.Windows.Forms.GroupBox PluginGroup;
    private System.Windows.Forms.Button FolderBtn;
    private System.Windows.Forms.Label FolderL;
    private System.Windows.Forms.Label label4;
    private System.Windows.Forms.GroupBox HotkeyGroup;
    public System.Windows.Forms.TextBox FolderTxt;
    public System.Windows.Forms.ComboBox ImgTypeC;
    public System.Windows.Forms.RadioButton ImgFileR2;
    public System.Windows.Forms.RadioButton ImgFileR1;
    internal System.Windows.Forms.RadioButton CapR2;
    internal System.Windows.Forms.RadioButton CapR1;
    private System.Windows.Forms.FolderBrowserDialog folderBrowserDialog1;
    private System.Windows.Forms.TextBox DescriptionTxt;
  }
}